
import request from '@/utils/request';



/**
 * 统一解析立库解析接口
 * @param ChangeParams
 */
export function NoChargeReturn(ChangeParams: any) {
  return request({
    url: '/api/NoCharge/NoChargeReturn',
    method: 'post',
    data: ChangeParams,
  });
}

/**
 *
 * */
export function getSaleOrderInvoice(data: any) {
  return request({
    url: '/api/SaleOut/getSaleOrderInvoice',
    method: 'post',
    data: data,
  });
}

/**
 *
 * */
export function getSalePreOrderInvoice(data: any) {
  return request({
    url: '/api/SaleOut/getSalePreOrderInvoice',
    method: 'post',
    data: data,
  });
}

/**
 *
 * */
export function getChargeBindBySale(data: any) {
  return request({
    url: '/api/SaleOut/getChargeBindBySale',
    method: 'post',
    data: data,
  });
}
/**
 *
 * */
export function BindSalePreToSale(data: any) {
  return request({
    url: '/api/SaleOut/BindSalePreToSale',
    method: 'post',
    data: data,
  });
}

export function AssignShipRequest(data: any) {
  return request({
    url: '/api/SaleOut/AssignShipRequest',
    method: 'post',
    data: data,
  });
}
export function DeAssignShipRequest(data: any) {
  return request({
    url: '/api/SaleOut/DeAssignShipRequest',
    method: 'post',
    data: data,
  });
}
export function AssignAndDessign(data: any) {
  return request({
    url: '/api/AssignAndDessign/AssignAndDessignM',
    method: 'post',
    data: data,
  });
}
export function purReturnCommit(data: any) {
  return request({
    url: '/api/purchase/CompleteReceiveRequest',
    method: 'post',
    data: data,
  });
}

export function AssignShipRequestByCharge(data: any) {
  return request({
    url: '/api/SaleOut/AssignShipRequestByCharge',
    method: 'post',
    data: data,
  });
}
export function UpdateOutQty(data: any) {
  return request({
    url: '/api/SaleOut/UpdateOutQty',
    method: 'post',
    data: data,
  });
}

export function CompleteShipRequest(data: any) {
  return request({
    url: '/api/SaleOut/CompleteShipRequest',
    method: 'post',
    data: data,
  });
}
/**
 *
 * */
export function Commit4CToERP(data: any) {
  return request({
    url: '/api/SaleOut/Commit4CToERP',
    method: 'post',
    data: data,
  });
}
/**
 *
 * */
export function RejectsAndExpCheck(data: any) {
  return request({
    url: '/api/SaleOut/RejectsAndExpCheck',
    method: 'post',
    data: data,
  });
}

export function AllCommitMoveInInvoice(data: any) {
  return request({
    url: '/api/MoveIn/AllCommitMoveInInvoice',
    method: 'post',
    data: data,
  });
}

export function AuxiliaryReserve(data: any) {
  return request({
    url: '/api/SaleOut/auxiliaryAssign',
    method: 'post',
    data: data,
  });
}

export function AuxiliaryDessign(data: any) {
  return request({
    url: '/api/SaleOut/auxiliaryDessign',
    method: 'post',
    data: data,
  });
}

export function auxiliaryStockOut(data: any) {
  return request({
    url: '/api/SaleOut/auxiliaryStockOut',
    method: 'post',
    data: data,
  });
}
