export interface AppState {
  menuMode: any,
  sidebar: {
    opened: boolean;
  };
  language: string;
  size: string;
  routes: any[],
  buttons: any[],
  currentPath: any,
  menuList: any,
  firstMenu: any,
  secondMenu: any
}

export interface UserState {
  ut: string;
  userInfo: any;
}

export interface TagView extends Partial<RouteLocationNormalized> {
  title?: string;
}

export interface TagsViewState {
  visitedViews: TagView[],
  cachedViews: string[];
}

// 统一查询
export interface queryParams {
  queryId: string,
  version: string,
  listCode?: number | string,
  params?: {
    RECEIVEACTNO?: string,
    RECEIVEREQUESTNAME?: string,
    SITENAME?: string
  },  
  pageNum?: number | string,
  pageSize?: number | string
}

